Subject: Re: [PATCH v2] net: cpsw: fix obtaining mac address for am3517

From: Måns Rullgård <[email-masked]>
Date: Sat, 24 Jun 2023 16:59:47 +0100

Simon Horman <[email-masked]> writes:

> On Sat, Jun 24, 2023 at 04:02:07PM +0100, Måns Rullgård wrote:
>> Simon Horman <[email-masked]> writes:
>> 
>> > On Fri, Jun 23, 2023 at 11:41:10PM +0200, Andrew Lunn wrote:
>> >> > > I feel like I am missing something here.
>> >> > 
>> >> > That is a weird response, you feel like something is missing
>> >> 
>> >> There is. The patch.
>> >> 
>> >> Maintainers have a slightly better memory than a goldfish, but given
>> >> the high volume of patches, we don't remember threads from 2016. Also,
>> >> all our infrastructure has limited memory, this patch is not in lore,
>> >> and it is not in patchworks. So in terms of getting merged, it does
>> >> not exist.
>> >> 
>> >> We do however recommend that if a patch has not been merged within 2
>> >> weeks, it is rebased, any Acked-by: etc tags are added and the patch
>> >> reposted.
>> >
>> > Thanks Andrew, that is also my position.
>> >
>> > A ping for a multi-year old patch is unusual (for me).
>> > I was wondering if there was a back story. I guess not.
>> 
>> The only story here is that I was reviewing the set of patches we apply
>> to our kernels, and I noticed that this one, judging by the discussion,
>> should have been applied to some tree or other ages ago.
>> 
>> Now if it takes 6 years to get a one-line patch (a fix for a regression,
>> no less) accepted, I have better things to spend my time on.
>
> A long time to be sure. As Andrew explained, the patch is now stale.
> It will need to be rebased and reposted in ordered to be considered for
> upstream.

I already did that, only to get more snark in return.

-- 
Måns Rullgård